Bug 171275 - unable to create partitions with gdth driver on Athlon64-X2
unable to create partitions with gdth driver on Athlon64-X2
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 05:12 EDT by Stephan Ebelt
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:48:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephan Ebelt 2005-10-20 05:12:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
after choosing 'automatic partitioning' anaconda returns saying that 'no valid devices were found on which to create new filesystems'.
When I switch to the console and try to manually create partitions with fdisk, it starts out behaving normal: I can open the device, create partitions and save them with w[rite]. When I then re-read the partition table with fdisk -l <device> fdisk says that 'disk /dev/sda does not contain a valid partition table'.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start Fedora x86_64 installation from cdrom
2. answer all the questions until partitioning
3. either select 'automatic partition' or 'manual partition with disk druid'
4. anaconda asks whether you want to erase all data and initialize the disk (since there's no partition table)
5. it fails with 'no valid devices were found on which to create new filesystems'
  

Actual Results:  installation is aborted. Reboot.

Expected Results:  create partitions and continue installation.

Additional info:

controller: Intel SRCS14L (firmware 2.42.02-R07A)
driver: gdth 3.04
kernel: 2.6.11-1.1369_FC4
CPU: AMD Athlon 64 X2 dual core 4200+

this happens only with the 64bit version of FC4. The 32bit version is able to create partitions and finishes installation as usual.
Comment 1 Dave Jones 2005-11-10 14:50:44 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 2 Stephan Ebelt 2005-11-11 11:48:56 EST
unfortunately I can not test on this machine as it goes into production next
week. With a 32bit system for now - we can not run it entirely 64bit anyway
because of certain applications...

I'll try again when we finally convert to 64bit.
Comment 3 Dave Jones 2006-02-03 00:44:43 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-04 21:48:39 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.